package cn.iocoder.yudao.module.customer.convert.customer.commission;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.customer.dal.dataobject.customer.commission.CustomerCommissionDO;
import cn.iocoder.yudao.module.customer.vo.customer.commission.CustomerCommissionCreateReqVO;
import cn.iocoder.yudao.module.customer.vo.customer.commission.CustomerCommissionExcelVO;
import cn.iocoder.yudao.module.customer.vo.customer.commission.CustomerCommissionRespVO;
import cn.iocoder.yudao.module.customer.vo.customer.commission.CustomerCommissionUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 客户佣金类型 Convert
 *
 * @author 系统管理员
 */
@Mapper
public interface CustomerCommissionConvert {

    CustomerCommissionConvert INSTANCE = Mappers.getMapper(CustomerCommissionConvert.class);

    CustomerCommissionDO convert(CustomerCommissionCreateReqVO bean);

    CustomerCommissionDO convert(CustomerCommissionUpdateReqVO bean);

    CustomerCommissionRespVO convert(CustomerCommissionDO bean);

    List<CustomerCommissionRespVO> convertList(List<CustomerCommissionDO> list);

    PageResult<CustomerCommissionRespVO> convertPage(PageResult<CustomerCommissionDO> page);

    List<CustomerCommissionExcelVO> convertList02(List<CustomerCommissionDO> list);

}
