package cn.iocoder.yudao.module.customer.convert.customer.complaint;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.customer.dal.dataobject.customer.complaint.CustomerComplaintDO;
import cn.iocoder.yudao.module.customer.vo.customer.complaint.CustomerComplaintCreateReqVO;
import cn.iocoder.yudao.module.customer.vo.customer.complaint.CustomerComplaintExcelVO;
import cn.iocoder.yudao.module.customer.vo.customer.complaint.CustomerComplaintRespVO;
import cn.iocoder.yudao.module.customer.vo.customer.complaint.CustomerComplaintUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 客户投诉 Convert
 *
 * @author yanghao
 */
@Mapper
public interface CustomerComplaintConvert {

    CustomerComplaintConvert INSTANCE = Mappers.getMapper(CustomerComplaintConvert.class);

    CustomerComplaintDO convert(CustomerComplaintCreateReqVO bean);

    CustomerComplaintDO convert(CustomerComplaintUpdateReqVO bean);

    CustomerComplaintRespVO convert(CustomerComplaintDO bean);

    List<CustomerComplaintRespVO> convertList(List<CustomerComplaintDO> list);

    PageResult<CustomerComplaintRespVO> convertPage(PageResult<CustomerComplaintDO> page);

    List<CustomerComplaintExcelVO> convertList02(List<CustomerComplaintDO> list);

}
