package cn.iocoder.yudao.module.customer.convert.customer.line;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.customer.dal.dataobject.customer.line.CustomerLineDO;
import cn.iocoder.yudao.module.customer.vo.customer.line.CustomerLineCreateReqVO;
import cn.iocoder.yudao.module.customer.vo.customer.line.CustomerLineExcelVO;
import cn.iocoder.yudao.module.customer.vo.customer.line.CustomerLineRespVO;
import cn.iocoder.yudao.module.customer.vo.customer.line.CustomerLineUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 客户线路 Convert
 *
 * @author yanghao
 */
@Mapper
public interface CustomerLineConvert {

    CustomerLineConvert INSTANCE = Mappers.getMapper(CustomerLineConvert.class);

    CustomerLineDO convert(CustomerLineCreateReqVO bean);

    CustomerLineDO convert(CustomerLineUpdateReqVO bean);

    CustomerLineRespVO convert(CustomerLineDO bean);

    List<CustomerLineRespVO> convertList(List<CustomerLineDO> list);

    PageResult<CustomerLineRespVO> convertPage(PageResult<CustomerLineDO> page);

    List<CustomerLineExcelVO> convertList02(List<CustomerLineDO> list);

}
