package cn.iocoder.yudao.module.customer.convert.customerContacts;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.customer.dal.dataobject.customerContacts.CustomerContactsDO;
import cn.iocoder.yudao.module.customer.vo.customer.customerContacts.CustomerContactsCreateReqVO;
import cn.iocoder.yudao.module.customer.vo.customer.customerContacts.CustomerContactsExcelVO;
import cn.iocoder.yudao.module.customer.vo.customer.customerContacts.CustomerContactsRespVO;
import cn.iocoder.yudao.module.customer.vo.customer.customerContacts.CustomerContactsUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 客户联系人 Convert
 *
 * @author 系统管理员
 */
@Mapper
public interface CustomerContactsConvert {

    CustomerContactsConvert INSTANCE = Mappers.getMapper(CustomerContactsConvert.class);

    CustomerContactsDO convert(CustomerContactsCreateReqVO bean);

    CustomerContactsDO convert(CustomerContactsUpdateReqVO bean);

    CustomerContactsRespVO convert(CustomerContactsDO bean);

    List<CustomerContactsRespVO> convertList(List<CustomerContactsDO> list);

    PageResult<CustomerContactsRespVO> convertPage(PageResult<CustomerContactsDO> page);

    List<CustomerContactsExcelVO> convertList02(List<CustomerContactsDO> list);

}
