package cn.iocoder.yudao.module.customer.dal.dataobject.syncAirCustomer;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 同步空运客户 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_sync_air_customer")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class SyncAirCustomerDO extends BaseDO {

    /**
     *
     */
    @TableId
    private Long id;
    /**
     * name
     */
    private String name;
    /**
     * phone
     */
    private String phone;
    /**
     * customerName
     */
    private String customerName;

}
