package cn.iocoder.yudao.module.customer.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum CommissionTypeEnum {
    NONE(0, "无佣金"),
    LIGHT(1, "明佣"),
    DARK(2, "暗佣"),
    DARK_WITH_LIGHT(3, "暗佣+明佣"),

    ;
    /**
     * 类型
     */
    private final Integer value;
    /**
     * 类型名
     */
    private final String name;



}
