package cn.iocoder.yudao.module.customer.vo.customer.commission;

import lombok.*;
import io.swagger.annotations.*;

import javax.validation.constraints.NotNull;
import java.util.List;

@ApiModel("管理后台 - 客户佣金类型创建 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CustomerCommissionCreateReqVO extends CustomerCommissionBaseVO {


    @ApiModelProperty(value = "佣金详情", required = true)
    @NotNull(message = "佣金详情不能为空")
    private List<CustomerCommissionInfoBaseVO> customerCommissionInfoBaseVOList;

}
