package cn.iocoder.yudao.module.customer.vo.customer.commission;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;

@ApiModel("管理后台 - 客户佣金类型 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CustomerCommissionRespVO extends CustomerCommissionBaseVO {


    @ApiModelProperty(value = "佣金编码")
    private Long id;

    @ApiModelProperty(value = "客户名称")
    private String customerName;

    @ApiModelProperty(value = "主联系人")
    private String defaultContactName;

    @ApiModelProperty(value = "主联系电话区号")
    private String defaultContactPhoneAreaCode;

    @ApiModelProperty(value = "主联系电话")
    private String defaultContactPhone;


    @ApiModelProperty(value = "创建时间")
    private Date createTime;

}
