package cn.iocoder.yudao.module.customer.vo.customer.commission;

import lombok.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;
import java.util.List;

@ApiModel("管理后台 - 客户佣金类型更新 Request VO")
@Data
@EqualsAndHashCode
@ToString
public class CustomerCommissionUpdateReqVO {

    @ApiModelProperty(value = "佣金主键", required = true)
    @NotNull(message = "不能为空")
    private Long id;


    @ApiModelProperty(value = "佣金详情列表", required = true)
    @NotNull(message = "佣金详情不能为空")
    private List<CustomerCommissionInfoUpdateReqVO> customerCommissionInfoBaseVOList;


}