package cn.iocoder.yudao.module.customer.vo.customer.commission;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@ApiModel("管理后台 - 客户暗佣查询 Response VO")
@Data
@EqualsAndHashCode
@ToString
public class CustomerDarkReturnCommissionQueryRespVO {


    @ApiModelProperty(value = "佣金id")
    private Long customerCommissionId;

    @ApiModelProperty(value = "佣金详情id")
    private Long customerCommissionInfoId;

    @ApiModelProperty(value = "暗佣 佣金")
    private BigDecimal darkCommission;
    

}
