package cn.iocoder.yudao.module.customer.vo.customer.complaint;

import lombok.*;
import io.swagger.annotations.*;

@ApiModel("管理后台 - 客户投诉 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CustomerComplaintRespVO extends CustomerComplaintBaseVO {


    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "登记客服名称")
    private String adminNickname;

    @ApiModelProperty("客户名称")
    private String customerName;
}
