package cn.iocoder.yudao.module.customer.vo.customer.complaint;

import lombok.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

@ApiModel("管理后台 - 客户投诉更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CustomerComplaintUpdateReqVO extends CustomerComplaintBaseVO {

    @ApiModelProperty(value = "", required = true)
    @NotNull(message = "不能为空")
    private Long id;

    @ApiModelProperty(value = "处理状态")
    private Integer status;

}
