package cn.iocoder.yudao.module.customer.vo.customer.customerContacts;

import lombok.*;
import java.util.*;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 客户联系人 Excel VO
 *
 * @author 系统管理员
 */
@Data
public class CustomerContactsExcelVO {

    @ExcelProperty("客户id")
    private Long customerId;

    @ExcelProperty("部门")
    private String department;

    @ExcelProperty("职位")
    private String position;

    @ExcelProperty("联系人")
    private String name;

    @ExcelProperty("社交方式")
    private Integer social;

    @ExcelProperty("社交软件号码")
    private String socialNumber;

    @ExcelProperty("电子邮箱")
    private String email;

    @ExcelProperty("默认联系人：1为默认 0为非默认")
    private Integer isDefault;

    @ExcelProperty("关联账户id")
    private Long userid;

    @ExcelProperty("关联账户名")
    private String username;

    @ExcelProperty("区号")
    private String areaCode;

    @ExcelProperty("手机号码(不带任何区号)")
    private String phoneNew;

    @ExcelProperty("创建时间")
    private Date createTime;

}
