package cn.iocoder.yudao.module.customer.vo.customer.customerContacts;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;

@ApiModel("管理后台 - 客户联系人 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CustomerContactsRespVO extends CustomerContactsBaseVO {

    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "联系人主键ID", required = true)
    private Long id;

    @ApiModelProperty(value = "客户联系人ID")
    private Long customerContactsId;

    @ApiModelProperty(value = "客户名称")
    private String customerName;

    @ApiModelProperty(value = "公司名称")
    private String company;



    public void setId(Long id) {
        this.id = id;
        this.customerContactsId = id;
    }
}
