package cn.iocoder.yudao.module.customer.vo.customer.line;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;

import javax.validation.constraints.NotNull;

@ApiModel("管理后台 - 客户线路 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CustomerLineRespVO extends CustomerLineBaseVO {

    @ApiModelProperty(value = "自增ID", required = true)
    @NotNull(message = "自增ID不能为空")
    private Long id;


    @ApiModelProperty(value = "客户ID", required = true)
    @NotNull(message = "客户ID不能为空")
    private Long customerId;

    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

}
