package cn.iocoder.yudao.module.customer.vo.customerCreditRule;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 信用规则 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class CustomerCreditRuleBaseVO {

    @ApiModelProperty(value = "中文规则名称", required = true)
    @NotNull(message = "中文规则名称不能为空")
    private String name;

    @ApiModelProperty(value = "英文规则名称", required = true)
    @NotNull(message = "英文规则名称不能为空")
    private String nameEn;

    @ApiModelProperty(value = "规则分类", required = true)
    @NotNull(message = "规则分类不能为空")
    private Integer type;

    @ApiModelProperty(value = "规则得分", required = true)
    @NotNull(message = "规则得分不能为空")
    private Integer score;

    @ApiModelProperty(value = "备注")
    private String remark;

}
