package cn.iocoder.yudao.module.customer.vo.customerDetail;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;


@Data
public class CostVO {

    @ApiModelProperty(value = "箱规体积")
    private String totalBoxGauge = "0*0*0";

    @ApiModelProperty(value = "人民币(RMB)总货值")
    private BigDecimal totalWorth = BigDecimal.ZERO;

    @ApiModelProperty(value = "商品总件数")
    private Integer totalNum = 0;

    @ApiModelProperty(value = "数量")
    private Integer totalQuantity = 0;

    @ApiModelProperty(value = "总体积")
    private BigDecimal totalVolume = BigDecimal.ZERO;

    @ApiModelProperty(value = "总重量")
    private BigDecimal totalWeight = BigDecimal.ZERO;

    @ApiModelProperty(value = "美元(USD)保价费")
    private BigDecimal insuranceFee = new BigDecimal("2");

    @ApiModelProperty(value = "费用列表")
    private List<FeeDto> feeDtoList;
}
