package cn.iocoder.yudao.module.customer.vo.customerFollowup;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;

@ApiModel("管理后台 - 客户跟进更新状态 Request VO")
@Data
@ToString(callSuper = true)
public class CustomerFollowupUpdateStatusReqVO {

    @ApiModelProperty(value = "主键", required = true)
    @NotNull(message = "主键不能为空")
    private Long id;


    @ApiModelProperty(value = "状态 字典customer_followup_status")
    private Integer status;

}
