package cn.iocoder.yudao.module.customer.vo.indirectCustomer;

import cn.iocoder.yudao.module.customer.vo.customer.customerContacts.CustomerContactsUpdateReqVO;
import cn.iocoder.yudao.module.customer.vo.customer.line.CustomerLineUpdateReqVO;
import cn.iocoder.yudao.module.customer.vo.indirectCustomerContacts.IndirectCustomerContactsUpdateReqVO;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;

import javax.validation.Valid;
import javax.validation.constraints.*;

@ApiModel("管理后台 - 间接客户更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class IndirectCustomerUpdateReqVO extends IndirectCustomerBaseVO {

    @ApiModelProperty(value = "主键", required = true)
    @NotNull(message = "主键不能为空")
    private Long id;




    /**
     * 联系人
     */
    @ApiModelProperty(value = "联系人列表", notes = "参见IndirectCustomerContactsCreateReqVO")
    @Valid
    private List<IndirectCustomerContactsUpdateReqVO> customerContacts;



}
