package cn.iocoder.yudao.module.customer.convert.customer.commission;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import cn.iocoder.yudao.module.customer.vo.customer.commission.*;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.customer.dal.dataobject.customer.commission.CustomerCommissionInfoDO;

/**
 * 客户佣金详情 Convert
 *
 * @author 系统管理员
 */
@Mapper
public interface CustomerCommissionInfoConvert {

    CustomerCommissionInfoConvert INSTANCE = Mappers.getMapper(CustomerCommissionInfoConvert.class);

    CustomerCommissionInfoDO convert(CustomerCommissionInfoCreateReqVO bean);

    CustomerCommissionInfoDO convert(CustomerCommissionInfoBaseVO bean);

    CustomerCommissionInfoDO convert(CustomerCommissionInfoUpdateReqVO bean);

    CustomerCommissionInfoRespVO convert(CustomerCommissionInfoDO bean);

    List<CustomerCommissionInfoRespVO> convertList(List<CustomerCommissionInfoDO> list);

    PageResult<CustomerCommissionInfoRespVO> convertPage(PageResult<CustomerCommissionInfoDO> page);

    List<CustomerCommissionInfoExcelVO> convertList02(List<CustomerCommissionInfoDO> list);

}
