package cn.iocoder.yudao.module.customer.convert.customer.complaint.follow;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.customer.dal.dataobject.customer.follow.CustomerFollowDO;
import cn.iocoder.yudao.module.customer.vo.customer.follow.CustomerFollowCreateReqVO;
import cn.iocoder.yudao.module.customer.vo.customer.follow.CustomerFollowExcelVO;
import cn.iocoder.yudao.module.customer.vo.customer.follow.CustomerFollowRespVO;
import cn.iocoder.yudao.module.customer.vo.customer.follow.CustomerFollowUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 客户投诉跟进 Convert
 *
 * @author yanghao
 */
@Mapper
public interface CustomerFollowConvert {

    CustomerFollowConvert INSTANCE = Mappers.getMapper(CustomerFollowConvert.class);

    CustomerFollowDO convert(CustomerFollowCreateReqVO bean);

    CustomerFollowDO convert(CustomerFollowUpdateReqVO bean);

    CustomerFollowRespVO convert(CustomerFollowDO bean);

    List<CustomerFollowRespVO> convertList(List<CustomerFollowDO> list);

    PageResult<CustomerFollowRespVO> convertPage(PageResult<CustomerFollowDO> page);

    List<CustomerFollowExcelVO> convertList02(List<CustomerFollowDO> list);

}
