package cn.iocoder.yudao.module.customer.dal.dataobject.customerAirLog;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 客户空运日志 DO
 *
 * @author 江楠
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_customer_air_log")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CustomerAirLogDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 客户id
     */
    private Long customerId;
    /**
     * 客户编号
     */
    private String customerNumber;
    /**
     * 是否空运客户
     */
    private Boolean isAir;

}
