package cn.iocoder.yudao.module.customer.dal.dataobject.customerCompetitor;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 客户竞争对手 DO
 *
 * @author yanghao
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_customer_competitor")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CustomerCompetitorDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 名称
     */
    private String name;

}
