package cn.iocoder.yudao.module.customer.dal.dataobject.customerCredit;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 信用等级 DO
 *
 * @author yanghao
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_customer_credit")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CustomerCreditDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 中文名称
     */
    private String nameZh;
    /**
     * 英文名称
     */
    private String nameEn;
    /**
     * 最大分值
     */
    private Integer scoreMax;
    /**
     * 最小分值
     */
    private Integer scoreMin;
    /**
     * 备注
     */
    private String remark;

}
