package cn.iocoder.yudao.module.customer.dal.dataobject.customerPublicCatchLog;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 公海客户捞取日志 DO
 *
 * @author yanghao
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_customer_public_catch_log")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CustomerPublicCatchLogDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 客户id
     */
    private Long customerId;
    /**
     * 捞取业务经理id
     */
    private Long catchUserId;

}
