package cn.iocoder.yudao.module.customer.dal.mysql.customer.commission;

import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.customer.dal.dataobject.customer.commission.CustomerCommissionDO;
import cn.iocoder.yudao.module.customer.vo.customer.commission.CustomerDarkReturnCommissionQueryRespVO;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 客户佣金 Mapper
 *
 * @author yanghao
 */
@Mapper
public interface CustomerCommissionMapper extends BaseMapperX<CustomerCommissionDO> {


    IPage<CustomerCommissionDO> getPage(IPage<CustomerCommissionDO> page,
                                        @Param(Constants.WRAPPER) Wrapper<CustomerCommissionDO> queryWrapper);

    List<CustomerCommissionDO> getList(@Param(Constants.WRAPPER) Wrapper<CustomerCommissionDO> queryWrapper);


    List<CustomerDarkReturnCommissionQueryRespVO> getDarkReturnCommission(@Param(Constants.WRAPPER) Wrapper queryWrapper);

}
