package cn.iocoder.yudao.module.customer.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.math.BigDecimal;

@Data
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode
public class CustomerCommissionDto {

    @ApiModelProperty(value = "佣金类型：0 无 1 明佣 2 暗佣 3 明佣+暗佣")
    private Integer commissionType = 0;

    @ApiModelProperty("明佣金额")
    private BigDecimal plainCommission = BigDecimal.ZERO;

    @ApiModelProperty("暗佣金额")
    private BigDecimal hiddenCommission = BigDecimal.ZERO;
}
