package cn.iocoder.yudao.module.customer.task;

import cn.iocoder.yudao.framework.quartz.core.handler.JobHandler;
import cn.iocoder.yudao.framework.tenant.core.job.TenantJob;
import cn.iocoder.yudao.module.customer.service.SyncAirCustomerJob;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
@TenantJob
@Slf4j
public class SyncTodayAirCustomerJob implements JobHandler {

    @Resource
    SyncAirCustomerJob syncAirCustomerJob;

    @Override
    public String execute(String param) throws Exception {
        syncAirCustomerJob.syncTodayAirCustomer();
        return "";
    }
}
