package cn.iocoder.yudao.module.customer.vo.customer.commission;

import lombok.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;

@ApiModel("管理后台 - 客户佣金类型分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CustomerCommissionPageReqVO extends PageParam {

    @ApiModelProperty(value = "客户id")
    private Long customerId;

    @ApiModelProperty(value = "佣金类型")
    private Integer type;

    @ApiModelProperty(value = "运输方式")
    private Integer transportId;

    @ApiModelProperty(value = "始发地id")
    private Long departureId;

    @ApiModelProperty(value = "目的地id")
    private Long objectiveId;

    @ApiModelProperty(value = "报关类别：我司全代：1，自单代报：2，混合报关：3")
    private Integer customsType;

    @ApiModelProperty(value = "产品备案")
    private Integer approval;

    @ApiModelProperty(value = "暗佣类型 1产品2达标")
    private Integer darkReturnType;


    @ApiModelProperty(value = "主联系电话")
    private String defaultContactPhone;

}
