package cn.iocoder.yudao.module.customer.vo.customer.line;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 客户线路 Excel VO
 *
 * @author yanghao
 */
@Data
public class CustomerLineExcelVO {

    @ExcelProperty("客户ID")
    private Long customerId;

    @ExcelProperty("始发地ID")
    private Long departureId;

    @ExcelProperty("目的地ID列表")
    private String objectiveIds;

    @ExcelProperty("创建时间")
    private Date createTime;

}
