package cn.iocoder.yudao.module.customer.vo.customer.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@ApiModel("管理后台 - 默认开票切换 Request VO")
@Data
@EqualsAndHashCode
@ToString
public class CustomerChangeDefaultBillingReqVO {

    @ApiModelProperty(value = "客户ID列表", required = true)
    @NotEmpty(message = "客户ID列表不能为空")
    private List<Long> customerIdList;

    @ApiModelProperty(value = "是否默认开票", required = true)
    @NotNull(message = "默认开票值不能为空")
    private Boolean defaultBilling;


}
