package cn.iocoder.yudao.module.customer.vo.customer.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@ApiModel("管理后台 - 客户下拉选择条件 Request VO")
@Data
@EqualsAndHashCode
@ToString
public class CustomerSelectReqVO extends PageParam {


    @ApiModelProperty(value = "搜索关键字")
    private String searchKey;

    @ApiModelProperty(value = "客户类型")
    private Integer customerType;

    @ApiModelProperty(value = "客户等级")
    private Integer customerLevel;

}
