package cn.iocoder.yudao.module.customer.vo.customerCreditLog;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 客户信用日志 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class CustomerCreditLogBaseVO {

    @ApiModelProperty(value = "客户id")
    private Long customerId;

    @ApiModelProperty(value = "订单id")
    private Long orderId;

    @ApiModelProperty(value = "订单编号")
    private String orderNo;

    @ApiModelProperty(value = "信用规则id")
    private Long ruleId;

    @ApiModelProperty(value = "规则得分")
    private Integer ruleScore;


    @ApiModelProperty(value = "备注")
    private String remark;

}
