package cn.iocoder.yudao.module.customer.vo.indirectCustomerContacts;

import cn.iocoder.yudao.module.customer.vo.customer.customerContacts.CustomerContactsBaseVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.Date;

@ApiModel("管理后台 - 间接客户联系人 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class IndirectCustomerContactsRespVO extends CustomerContactsBaseVO {

    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "联系人主键ID", required = true)
    private Long id;

    @ApiModelProperty(value = "客户联系人ID")
    private Long customerContactsId;

    @ApiModelProperty(value = "客户名称")
    private String customerName;

    @ApiModelProperty(value = "公司名称")
    private String company;



    public void setId(Long id) {
        this.id = id;
        this.customerContactsId = id;
    }
}
