package cn.iocoder.yudao.module.customer.vo.zhongPao;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
* 重泡货配置值 Response VO
* @author yanghao
*/
@Data
@ApiModel("管理后台 - 重泡货配置值 Response VO")
public class ZhongPaoBestVO {

    @ApiModelProperty(value = "重货-临介值(1m³货重值)")
    private BigDecimal zhongEdge = new BigDecimal("750");

    @ApiModelProperty(value = "重货-计算公式")
    private BigDecimal zhongFormulas = new BigDecimal("0.00133");

    @ApiModelProperty(value = "泡货-临介值(1m³货重值)")
    private BigDecimal paoEdge = new BigDecimal("167");

    @ApiModelProperty(value = "泡货-计算公式")
    private BigDecimal paoFormulas = new BigDecimal("167");

}
